#include <htc.h>

/*-------------------PORT INIT---------------------*/
void	port_init(void)
{

	ANSEL=0b00010000;	/* AN4 */	
	ANSELH=0b00000001;	/* AN8 */

	TRISA=0b00100000;	/* RA5:INPUT */
	TRISB=0b00000100;	/* RB2:INPUT */
	TRISC=0b00111111;	/* RC7,RC6:RC1:OUTPUT RC0,RC1,RC2,RC5:INPUT */

	WPUB=0b00000000;
	ADCON0=0b10000100;	/* Fosc/32,AN1 */
	ADCON1=0b10000000;	/* ADFM=0,Vss,Vdd */

	PORTA=0x20;
	PORTB=0x04;
	PORTC=0x3f;

}